Bug Hunting Session
Bug 32880 - REDLINE: Adding picture or caption not tracked
Summary: REDLINE: Adding picture or caption not tracked
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 RC2
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-06 12:33 UTC by Luiz Angelo Daros de Luca
Modified: 2015-04-02 02:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luiz Angelo Daros de Luca 2011-01-06 12:33:06 UTC
Hello,

I'm using change control in my document. When I add a caption to a table or a image, this change is not recorded. The caption is added but I have no trace of it in "Edit/Changes/Accept or Reject"


Steps to reproduce:
1) create a new doc
2) enable changes record
3) create a table
4) add a caption

If I reject everything, the caption remains.
Comment 1 Rainer Bielefeld Retired 2011-01-06 21:58:10 UTC
[Reproducible] with "LibreOffice 3.3.0 RC2 - WIN7  Home Primium (64bit) German UI  [OOO330m18 (build 3.3.0.2)]". Proceeding as per report, picture and caption are not shown in the changes list.
Comment 2 Cédric Bosdonnat 2011-02-15 05:26:24 UTC
This falls into the redline enhancements to plan for future versions (along with the ones in tables). But this code is such a mess that almost all of it needs to be changed.
Comment 3 Luiz Angelo Daros de Luca 2013-01-21 22:02:27 UTC
The steps previosly listed does not generate the problem anymore because it merges the "create table" change with the "add caption" one.

The new way to generate it is to enable changes record after the table is created:

Steps to reproduce:
1) create a new doc
2) create a table
3) enable changes record
4) add a caption

The result is that no changes are generated.
Comment 4 Luiz Angelo Daros de Luca 2013-01-21 22:02:59 UTC
The steps previosly listed does not generate the problem anymore for 4.0.x because it merges the "create table" change with the "add caption" one.

The new way to generate it is to enable changes record after the table is created:

Steps to reproduce:
1) create a new doc
2) create a table
3) enable changes record
4) add a caption

The result is that no changes are generated.
Comment 5 bfoman (inactive) 2013-05-16 10:52:18 UTC
This bug has not been touched by its owner for a long time. To make it clearer which bugs should be fixed by someone else please take following action:
- If you are the owner, and you are actively working on the bug, please give it an update. 
- If you are the owner, and you do not plan to work on it in the near future,
please reassign it to the default assignee and change its status to NEW.
Comment 6 bfoman (inactive) 2014-01-08 22:43:28 UTC
Back to NEW as this bug lost owner.
Comment 7 Luiz Angelo Daros de Luca 2015-04-02 02:37:44 UTC
Seems to be fixed sometime before 4.4.2